Postonus
APIReferencePosts

Schedule a draft

POST
/posts/{id}/schedule

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Formatuuid

Header Parameters

Idempotency-Key?string

Repeating a key within 24 hours returns the first response and writes nothing again.

Lengthlength <= 255

Request Body

application/json
  1. body
scheduledAt?string
Formatdate-time
useOptimalTime?boolean
selectedIntegrations?array<string>
Items1 <= items
platforms?array<>
Items1 <= items
dryRun?boolean

Response Body

OK

application/json
  1. response
postId*string
content*string
thread*array<string>|null
media*array<>
schedules*array<>
url*string
review*|null
dryRun*boolean
Example Request
curl -X POST 'https://app.postonus.com/api/v1/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedule' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "postId": "string",  "content": "string",  "thread": [    "string"  ],  "media": [    {      "url": "string",      "type": "IMAGE",      "altText": "string"    }  ],  "schedules": [    {      "scheduleId": "string",      "channelId": "string",      "platform": "BLUESKY",      "channelName": "string",      "scheduledAt": "2019-08-24T14:15:22Z",      "status": "DRAFT"    }  ],  "url": "string",  "review": "pending",  "dryRun": true}